Skip to main content
PATCH
/
api
/
v1
/
apps
/
{app_id}
/
categories
/
{category_id}
curl -X PATCH "https://ecommerce.jelou.ai/api/v1/apps/{app_id}/categories/{category_id}" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Artisan Pizzas",
    "description": "Our premium selection of wood-fired pizzas"
  }'
{
  "data": {
    "id": 1,
    "name": "Artisan Pizzas",
    "image": "categories/664f1a2b3c4d5.jpg",
    "description": "Our premium selection of wood-fired pizzas",
    "order": 1,
    "status": true,
    "app_id": "8af29efb-9864-4f29-888c-b2dd0d7ac1dd",
    "branch_id": "9e3f2c1a-8b7d-4e6f-a5c4-d3b2a1e0f9c8",
    "products_count": 12,
    "created_at": "2026-02-19T15:30:00.000000Z",
    "updated_at": "2026-02-19T16:00:00.000000Z"
  }
}
You only need to send the fields you want to update.
app_id
string
required
Your store ID in Jelou Shop.
category_id
integer
required
ID of the category to update.
name
string
Category name (max. 255 characters).
description
string
Category description (max. 255 characters).
curl -X PATCH "https://ecommerce.jelou.ai/api/v1/apps/{app_id}/categories/{category_id}" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Artisan Pizzas",
    "description": "Our premium selection of wood-fired pizzas"
  }'
{
  "data": {
    "id": 1,
    "name": "Artisan Pizzas",
    "image": "categories/664f1a2b3c4d5.jpg",
    "description": "Our premium selection of wood-fired pizzas",
    "order": 1,
    "status": true,
    "app_id": "8af29efb-9864-4f29-888c-b2dd0d7ac1dd",
    "branch_id": "9e3f2c1a-8b7d-4e6f-a5c4-d3b2a1e0f9c8",
    "products_count": 12,
    "created_at": "2026-02-19T15:30:00.000000Z",
    "updated_at": "2026-02-19T16:00:00.000000Z"
  }
}